# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class UserUpdateParameters(Model):
    """Request parameters for updating an existing work or school account user.

    :param account_enabled: Enable the account. If it is enabled then true
     else false.
    :type account_enabled: bool
    :param display_name: User display name
    :type display_name: str
    :param password_profile: Password Profile
    :type password_profile: :class:`PasswordProfile
     <azure.graphrbac.models.PasswordProfile>`
    :param mail_nickname: The mail alias for the user
    :type mail_nickname: str
    """ 

    _attribute_map = {
        'account_enabled': {'key': 'accountEnabled', 'type': 'bool'},
        'display_name': {'key': 'displayName', 'type': 'str'},
        'password_profile': {'key': 'passwordProfile', 'type': 'PasswordProfile'},
        'mail_nickname': {'key': 'mailNickname', 'type': 'str'},
    }

    def __init__(self, account_enabled=None, display_name=None, password_profile=None, mail_nickname=None):
        self.account_enabled = account_enabled
        self.display_name = display_name
        self.password_profile = password_profile
        self.mail_nickname = mail_nickname
